Gestion des liens ed2k sous Firefox

Lorsque que vous êtes sous Firefox, le fait de cliquer sur un lien « ed2k://… » provoque l’insulte suivante de la part de Firefox :

Firefox ne sait pas ouvrir cette adresse car le protocole (ed2k) n’est associé à aucun programme.

Pour remédier au problème, deux solutions s’offrent à vous.

1ère solution

Toute bête, installez le paquet : amule-gnome-support.

sudo apt-get install amule-gnome-support

C’est tout !

Je ne sais pas depuis combien de temps existe ce paquet mais on ne peut pas faire plus simple.

2ème solution

Installation

Installer les paquets amule et amule-utils par Synaptic ou en ligne de commande :

sudo apt-get install amule-utils

Configuration

Lancez Firefox.

Dans la barre d’adresse, tapez: about:config

Il est possible qu’un message d’avertissement apparaisse

Attention, danger !

Dans ce cas, cliquez sur le bouton « Je ferai attention, promis ! »

Une liste imbuvable d’option apparait… Pas de panique, on ne va rien modifier ou supprimer mais seulement en ajouter une ! Faites un clic droit sur n’importe quelle ligne. Dans le menu qui apparait cliquez sur Nouvelle > Chaîne de caractères. Une boite de dialogue vous demande le nom de l’option, saisissez :

network.protocol-handler.app.ed2k

Cliquez sur OK. Une seconde boite apparait pour renseigner la valeur de l’option. Ne saisissez rien, cliquez simplement sur OK. Vous pouvez fermer la fenêtre des options.

A partir de maintenant si vous cliquez sur un lien « ed2k://… », une boite de dialogue « Lancement de l’application » apparaît. Cliquez sur « Choisir… » et allez chercher le fichier /usr/bin/ed2k. Avant de cliquez sur OK, cochez la case « Se souvenir de mon choix pour les liens ed2k« .

C’est fini !

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *